﻿// <auto-generated />
using System;
using ManyToManyTest.Data;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

#nullable disable

namespace ManyToManyTest.Migrations
{
    [DbContext(typeof(CarDealershipDbContext))]
    partial class CarDealershipDbContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "7.0.10")
                .HasAnnotation("Relational:MaxIdentifierLength", 128);

            SqlServerModelBuilderExtensions.UseIdentityColumns(modelBuilder);

            modelBuilder.Entity("ManyToManyTest.Models.Brand", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"));

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("Brand");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Name = "VW"
                        },
                        new
                        {
                            Id = 2,
                            Name = "BMW"
                        },
                        new
                        {
                            Id = 3,
                            Name = "Ford"
                        });
                });

            modelBuilder.Entity("ManyToManyTest.Models.Car", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"));

                    b.Property<int>("BrandId")
                        .HasColumnType("int");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.HasIndex("BrandId");

                    b.ToTable("Car");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            BrandId = 1,
                            Name = "Polo"
                        },
                        new
                        {
                            Id = 2,
                            BrandId = 1,
                            Name = "Golf"
                        },
                        new
                        {
                            Id = 3,
                            BrandId = 2,
                            Name = "X5"
                        },
                        new
                        {
                            Id = 4,
                            BrandId = 2,
                            Name = "M3"
                        },
                        new
                        {
                            Id = 5,
                            BrandId = 3,
                            Name = "Figo"
                        },
                        new
                        {
                            Id = 6,
                            BrandId = 3,
                            Name = "Focus"
                        });
                });

            modelBuilder.Entity("ManyToManyTest.Models.CarCustomer", b =>
                {
                    b.Property<int>("CarId")
                        .HasColumnType("int");

                    b.Property<int>("CustomerId")
                        .HasColumnType("int");

                    b.Property<DateTime>("DateOfPurchase")
                        .HasColumnType("datetime2");

                    b.HasKey("CarId", "CustomerId");

                    b.HasIndex("CustomerId");

                    b.ToTable("CarCustomer");

                    b.HasData(
                        new
                        {
                            CarId = 1,
                            CustomerId = 1,
                            DateOfPurchase = new DateTime(2023, 3, 3, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        },
                        new
                        {
                            CarId = 5,
                            CustomerId = 1,
                            DateOfPurchase = new DateTime(2023, 6, 10, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        },
                        new
                        {
                            CarId = 6,
                            CustomerId = 1,
                            DateOfPurchase = new DateTime(2023, 9, 13, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        },
                        new
                        {
                            CarId = 2,
                            CustomerId = 2,
                            DateOfPurchase = new DateTime(2023, 4, 8, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        },
                        new
                        {
                            CarId = 3,
                            CustomerId = 2,
                            DateOfPurchase = new DateTime(2023, 7, 16, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        },
                        new
                        {
                            CarId = 5,
                            CustomerId = 2,
                            DateOfPurchase = new DateTime(2023, 10, 29, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        },
                        new
                        {
                            CarId = 4,
                            CustomerId = 3,
                            DateOfPurchase = new DateTime(2023, 5, 5, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        },
                        new
                        {
                            CarId = 5,
                            CustomerId = 3,
                            DateOfPurchase = new DateTime(2023, 8, 15, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        },
                        new
                        {
                            CarId = 1,
                            CustomerId = 3,
                            DateOfPurchase = new DateTime(2023, 11, 25, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        });
                });

            modelBuilder.Entity("ManyToManyTest.Models.Customer", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"));

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(100)
                        .HasColumnType("nvarchar(100)");

                    b.HasKey("Id");

                    b.ToTable("Customer");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Name = "Warren"
                        },
                        new
                        {
                            Id = 2,
                            Name = "Dean"
                        },
                        new
                        {
                            Id = 3,
                            Name = "Reza"
                        });
                });

            modelBuilder.Entity("ManyToManyTest.Models.Car", b =>
                {
                    b.HasOne("ManyToManyTest.Models.Brand", "Brand")
                        .WithMany("Cars")
                        .HasForeignKey("BrandId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Brand");
                });

            modelBuilder.Entity("ManyToManyTest.Models.CarCustomer", b =>
                {
                    b.HasOne("ManyToManyTest.Models.Car", "Car")
                        .WithMany("CarCustomers")
                        .HasForeignKey("CarId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("ManyToManyTest.Models.Customer", "Customer")
                        .WithMany("CarCustomers")
                        .HasForeignKey("CustomerId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Car");

                    b.Navigation("Customer");
                });

            modelBuilder.Entity("ManyToManyTest.Models.Brand", b =>
                {
                    b.Navigation("Cars");
                });

            modelBuilder.Entity("ManyToManyTest.Models.Car", b =>
                {
                    b.Navigation("CarCustomers");
                });

            modelBuilder.Entity("ManyToManyTest.Models.Customer", b =>
                {
                    b.Navigation("CarCustomers");
                });
#pragma warning restore 612, 618
        }
    }
}
